* {
    margin: 0;
    padding: 0;
    font-family: Calibri;
}

html, body {
    width: 100%;
    height: 100%;
    overflow: hidden;
}

#container {
    display: grid;
    border: 1px solid black;
    width: 100%;
    height: 100%;
    grid-template-columns: auto 200px 400px 200px auto;
    grid-template-rows: 100px auto 20%;
    grid-template-areas: 
        ". header header header ."
        ". left-box main-box right-box ."
        ". left-box footer footer .";
}

#container > div {
    border: 1px solid black;
}

/* #div1 {
    grid-column: 1 / 3;
}

#div2 {
    grid-column: 3 / 4;
    grid-row: 1 / 3;
}

#div5 {
    grid-column: 1 / 4;
} */

#div1 {
    grid-area: header;
}

#div2 {
    grid-area: footer;
}

#div3 {
    grid-area: left-box;
}

#div4 {
    grid-area: main-box;
}

#div5 {
    grid-area: right-box;
}